﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["data"] == null)
        {
            Session["data"] = populateDataSet();
        }
        WDG_SingleOrderEntry.DataSource = (DataSet)Session["data"];
        WDG_SingleOrderEntry.DataBind();
    }
    private DataSet populateDataSet()
    {

        DataSet ds = new DataSet();
        DataTable Parent = new DataTable();
        Parent.TableName = "Parent";
        DataTable Child = new DataTable();
        Child.TableName = "Child";

        Parent.Columns.Add("ID");
        Parent.Columns.Add("FirstName");
        Parent.Columns.Add("MiddleName");
        Parent.Columns.Add("LastName");
        Parent.Columns.Add("Address1");
        Parent.Columns.Add("Address2");
        Parent.Columns.Add("Street");
        Parent.Columns.Add("Phone1");
        Parent.Columns.Add("Phone2");
        Parent.Columns.Add("EmailID");

        Parent.Columns.Add("Zip");
        DataColumn[] col = new DataColumn[1];
        col[0] = Parent.Columns["ID"];
        Parent.PrimaryKey = col;

        DataRow row = Parent.NewRow();
        row.SetField<int>("ID", 0);
        row.SetField<String>("FirstName", "Al&ice");
        row.SetField<String>("MiddleName", "Al&ice");
        row.SetField<String>("LastName", "Al&ice");
        row.SetField<String>("Address1", "");
        row.SetField<String>("Address2", "");
        row.SetField<String>("Street", "");

        row.SetField<String>("Phone1", "");
        row.SetField<String>("Phone2", "");
        row.SetField<String>("EmailID", "");

        row.SetField<String>("Zip", "");
        Parent.Rows.Add(row);

        row = Parent.NewRow();
        row.SetField<int>("ID", 1);
        row.SetField<String>("FirstName", "Bob");
        row.SetField<String>("MiddleName", "Bob");
        row.SetField<String>("LastName", "Bob");
        row.SetField<String>("Address1", "");
        row.SetField<String>("Address2", "");
        row.SetField<String>("Street", "");

        row.SetField<String>("Phone1", "");
        row.SetField<String>("Phone2", "");
        row.SetField<String>("EmailID", "");

        row.SetField<String>("Zip", "");
        Parent.Rows.Add(row);

        row = Parent.NewRow();
        row.SetField<int>("ID", 2);
        row.SetField<String>("FirstName", "Joh'n");
        Parent.Rows.Add(row);

        Child.Columns.Add("ID");
        Child.Columns.Add("Address");

        row = Child.NewRow();
        row.SetField<int>("ID", 0);
        row.SetField<string>("Address", "Paris");
        Child.Rows.Add(row);

        row = Child.NewRow();
        row.SetField<int>("ID", 1);
        row.SetField<string>("Address", "Rome");
        Child.Rows.Add(row);

        row = Child.NewRow();
        row.SetField<int>("ID", 1);
        row.SetField<string>("Address", "London");
        Child.Rows.Add(row);

        row = Child.NewRow();
        row.SetField<int>("ID", 0);
        row.SetField<string>("Address", "LosAngeles");
        Child.Rows.Add(row);

        ds.Tables.Add(Parent);
        ds.Tables.Add(Child);


        DataRelation relation = new DataRelation("IDRelation", Parent.Columns["ID"], Child.Columns["ID"]);
        ds.Relations.Add(relation);


        // Add the column in the parent DataTable which Sums the values from the children based on the id relation

        return ds;
    }
}